Hyperwave API Functions
hw_api::checkout
Hyperwave API Functions
PHP Manual

# hw_api::checkin

(PHP 4, PHP 5 < 5.2.0, PECL hwapi SVN)

hw_api::checkin — Checks in an object

### Description

bool hw_api::checkin ( array `$parameter` )

This function checks in an object or a whole hierarchy of objects. The parameters array contains the required element 'objectIdentifier' and the optional element 'version', 'comment', 'mode' and 'objectQuery'. 'version' sets the version of the object. It consists of the major and minor version separated by a period. If the version is not set, the minor version is incremented. 'mode' can be one of the following values:

HW_API_CHECKIN_NORMAL
  Checks in and commits the object. The object must be a document.
HW_API_CHECKIN_RECURSIVE
  If the object to check in is a collection, all children will be checked in recursively if they are documents. Trying to check in a collection would result in an error.
HW_API_CHECKIN_FORCE_VERSION_CONTROL
  Checks in an object even if it is not under version control.
HW_API_CHECKIN_REVERT_IF_NOT_CHANGED
  Check if the new version is different from the last version. Unless this is the case the object will be checked in.
HW_API_CHECKIN_KEEP_TIME_MODIFIED
  Keeps the time modified from the most recent object.
HW_API_CHECKIN_NO_AUTO_COMMIT
  The object is not automatically committed on check-in.

### Parameters

`parameter`

### Return Values

Returns `TRUE` on success or `FALSE` on failure.

### See Also

- hw_api::checkout

Hyperwave API Functions
hw_api::checkout
Hyperwave API Functions
PHP Manual